function [Z,dZdx,dZdy] = FuncAndDerivs
%FUNCANDDERIVS Summary of this function goes here
%   Detailed explanation goes here

nrows = 64;
ncols = 64;

syms r c real

x = r/nrows*6-3;
y = c/ncols*6-3;

f = (nrows/25)*(3*(1-x).^2.*exp(-(x.^2) - (y+1).^2) ... 
   - 10*(x/5 - x.^3 - y.^5).*exp(-x.^2-y.^2) ... 
   - 1/3*exp(-(x+1).^2 - y.^2));

dfdr = diff(f,r);
dfdc = diff(f,c);

Z = zeros(nrows,ncols);
dZdx = zeros(nrows,ncols);
dZdy = zeros(nrows,ncols);

f = matlabFunction(f);
dfdc = matlabFunction(dfdc);
dfdr = matlabFunction(dfdr);

for i=1:nrows
    for j=1:ncols
        Z(i,j) = f(i,j); %eval(subs(f,{r,c},{i,j}));
        dZdx(i,j) = dfdr(i,j); %eval(subs(dfdc,{r,c},{i,j}));
        dZdy(i,j) = -dfdc(i,j); %eval(subs(dfdr,{r,c},{i,j}));
    end
end

end

